Subject: Summary: ECPs

From: Dale Braden <[email-masked]>
Date: Thu, 12 Sep 1996 06:54:31 -0700 (PDT)

Dear CCL,

I was very pleased with the immediate responses to my questions regarding 
effective core potentials.  My original post is below, followed by the 
responses.  Thanks to all of you who responded!

Dear CCL,

I read the postings of a year or two ago regarding the use of effective 
core potentials in ab initio calculations, and I would like to submit a 
few questions on this subject.

As I understand it, ECPs were developed primarily to speed up
calculations by reducing the number of electrons that needed to be
considered independently.  An added benefit was that relativistic energy
corrections could then be made for the electrons in the core.  Since core
electrons aren't thought to participate much in bonding, this was
justified.  So my first question is, If I am doing a *geometry
optimization* (and don't care about what the energy is) on an
organometallic complex, and can afford to use an all-electron basis,
should I do so?  In other words, does the use of an ECP generally have a 
neglible effect upon the geometry? 

I know that relativistic effects increase with atomic number.  Are such 
effects already drastic on first-row transition metals, or do they become 
significant (in terms of energy or geometry) only by the second-row?

After looking over the literature on this subject, I am confused as to
whether there is a difference between an "effective core potential" and a
"pseudopotential" for the core.  I use Gaussian 94/Rev. C.3, and when I
tried to input the PPs of Dolg, et al. [JCP 86 (1987) 866], the program
would not accept them, but seemed to be expecting information on the
different "projections", like P-D, S-D, and so forth.  I'm not sure what
these are, and in any case, they are not explicity described by Dolg, et
al., so I don't know whether the problem is one of format or not.

I shall collect and post all responses!

Thank you,

Dale Braden
Dept. of Chemistry
University of Oregon
[email-masked]

*1****************
>From [email-masked] Mon Sep  9 15:24 PDT 1996

Hi Dale, 

here are my $0.03 or so to your questions. Interesting subject ...
> 
> I know that relativistic effects increase with atomic number.  Are such 
> effects already drastic on first-row transition metals, or do they become 
> significant (in terms of energy or geometry) only by the second-row?

It seems that you can get away without relativity in the first transition row.
In a few studies from some years ago we found the following relativistic
bond contractions for transition metal complexes:
Cr(CO)6: <<0.001Angstrom for M-C and C-O
Fe(CO)5: 0.002Ang (M-C_ax); 0.003Ang (M-C_eq); <<0.001Ang (C-O_ax); 0.001Ang (C-O_eq)
Ni(CO)4: 0.001Ang (M-C); <<0.001Ang (C-O)
etc.
Cf. J. Li, G. Schreckenbach, T. Ziegler, J.Phys.Chem. 1994,98,4838
                                         JACS         1995,117,486
                                         Inorg.Chem.  1995,34,3245
 J. Li, R.M. Dickson, T. Ziegler, JACS 1995,117,11482

We don't use pseudopotentials, but the result should be independent of this.
See also reviews: P.Pyykko, Chem.Rev.1988,88,563 (I had cited this paper wrong
                                                  in a recent CCL posting)
                  P.Pyykko, in: THe Effects of Relativity on Atoms, Molecules
                            and the Solid State (S.Wilson et al., eds.)
                            Plenum, New York, 1991

> After looking over the literature on this subject, I am confused as to
> whether there is a difference between an "effective core potential" and a
> "pseudopotential" for the core. 

In my opinion, the two are exactly the same.

I am looking forward to your summary!
Yours, Georg
--
==============================================================================
Georg Schreckenbach                      Tel: (Canada)-403-220 8204
Department of Chemistry                  FAX: (Canada)-403-289 9488
University of Calgary                    Email: [email-masked]
2500 University Drive N.W.,  Calgary,  Alberta,  Canada,  T2N 1N4
==============================================================================

*2*************
>From [email-masked] Mon Sep  9 22:33 PDT 1996

Dear Dale,

with respect to your questions in the recent posting to CCL

1)  In fact for the first row atoms there is not a real speedup when using 
ECP and the relativistic contributions are quite small and thus it seems 
that there is no real reason to favor them over AE. However, there are some 
points of particular importance. I) Sometimes one is interested in 
comparisons among the different metals in a column of the periodic table 
and thus a consistent description is favorable. II) Quite often the ECP 
calculations converges much faster compared to AE. III) In some cases when 
doing  MCSCF/AE based calculations you may suffer from orbital rotations 
between the active and inactive spaces, which can not occur when using ECP. 
IV) There are many papers showing the effect of ECP on structure and 
energetics is negligible small. I think that the effect of the valence 
basis is much more important than the use of the frozen core approximation.
2)  The RECPs from the Stuttgart group (Dolg) seems to be quite good 
eventhough the others (maybe beside the old Hay&Wadt once) are also 
comparable. To generate a Gaussian input is quite easy just following the 
handbook and combine the components for the individual (L) in the L-L(Max) 
way. If You ask directly by the Stuttgart I think they have also compiled 
their ECP to a Gaussian readable form.

Regards

Jan Hrusak

*3*************
>From [email-masked] Tue Sep 10 00:24 PDT 1996

Dear Dale,

To make it short, for the first row transition metal complexes it should 
make almost no difference (for the results od a geometry optimisation) 
if you use an all electron basis or an ECP. This is not true for the 
second and third row transition metals due to the pseudo relativistic 
treatment of the ECP's. In fact, using an all electron basis you should 
also make, somehow, a relativistic calculation to reach the same results.
But in any case, i recommend the use of ECP's for all kind of transition 
metals, because you get your results faster. Be aware that you'l have to 
calculate correlation enegergy, depending on your system. We made the 
experience that you have to make at least MP2 geometry optimisations for 
transition metal complexes in low oxidation states. And thats difficult 
enough using ECP's, dont think about all electron calculations. 

On your last question, the difference between ECP's and PP's is mainly in 
the way the authors derived the potentials. We also used the PP's of 
Dolg, et al. [JCP 86 (1987) 866] in G92, so i assume g94 will make it too.

But you can also try the ECPs of Hay and Wadt (LANL2 not LANL1 in 
Gaussian.)

If you are interested in some numbers giving answers to your question,
you should read our article in JACS, Vol. 116, No. 4, 1994 p 1514.

Succes wiyh your work
Andreas 
===========================================================================
=                   - Andreas Ehlers                                      =
=                   - http://www.chem.vu.nl/Staf/ehlers/index.html        =
=      (__) ____    - Afdeling Theoretische Chemie, Faculteit Scheikunde  =
=      (oo)/    \/~`- Vrije Universiteit Amsterdam                        =
=  U   (__)_____||  - De Boelelaan 1083, 1081 HV Amsterdam    U   U   U   =
= \|/     ||   W||  - [ [email-masked]                    \|/ \|/ \|/  =
===========================================================================

*4************
>From [email-masked] Tue Sep 10 05:37 PDT 1996

Hi Dale,

A nice review article concerning relativistic effects is:
P. Pyykkoe, Relativistic Effects in Structural Chemistry,
Chem. Rev. 88 (1988) 563-594.

I hope this helps.
Yours
Knut
 
--------------------------------------
 Knut Krause
 Institut fuer Physikalische Chemie
 Bundesstrasse 45
 20146 Hamburg
 Germany
 Tel: # 040/4123-3428
 Fax: # 040/4123-3452
 E-mail: [email-masked]
--------------------------------------

*5*************
>From Igor Shamovsky <[email-masked]> Tue Sep 10 05:59 PDT 1996

Dear Dale:

If you can afford the all-electron basis set, then the answer is
very simple. Use it. Forget about "effective core potentials" or
"pseudopotentials", whatever you prefer. Stick to ab initio
calculations if possible. Pseudopotentials have some semiempirical
smell. Contribution of relativistic effect for the first and second
raw elements is negligible.

With best regards,

Igor.

*6***********
>From [email-masked] Tue Sep 10 07:20 PDT 1996

Hi Dale,

I have some experience working with ECP's on iodine compounds.. usually
it takes some effort to correctly input the ECP's in a format accepatble
by G94, and usually the ECP listing has all the information necessary
to be able to enter them correctly in G94 input file. If you are willing,
I can help you some with whatever little experience I have with ECP's.
Provide me the ECP listing if you can and I will take a look at it.

Regards,
Ashutosh Misra

*7************
>From [email-masked] Wed Sep 11 07:10 PDT 1996

Hi,

there is a fault in my 1st mail (in the 2nd line of the 1st Br ECP) which is 
now corrected.

The input format for ECP's of the Stuttgart-group (Stoll, Preuss et al.) is 
free format and as follows: 
line 1: -: optional, if you want to combine several ECP's in one file
        atomic symbol
        0
line 2: name of the ECP
        number of projections
        number of replaced electrons
line 3: comment for general term
line 4: number of lines for the general term
line 5: (here: a single line)
        2: indicates gaussian functions
        exponent
        coefficient
lines 3 to 5 are "repeated" for each of the projections.

important: do not terminate the ECP by ++++ or **** as is stated in the manual.

At the end of the mail are three examples of Stuttgart-ECP's.

 -Cl 0
 cl-ecp10-mwb 3 10
f (and higher)
 1
     2    1.       0.        
s-f 
 2
     2    6.3943  33.13663196
     2    3.1971  16.27072783
p-f
 2
     2    5.6207  24.41699269
     2    2.8103   7.68304978
d-f
 1
     2    5.3381  -8.58764865
 -Br 0
 br-ecp28-mwb 4 28
g (and higher)
 1
     2    1.       0.        
f-g
 1
     2    2.7207   -8.16149293    
s-g
 2
     2    5.0218   61.51372099
     2    2.5109    9.02149299
p-g
 2
     2    4.2814   53.87586402
     2    2.1407    4.62940227
d-g
 2
     2    2.8800   20.84967744
     2    1.4400    2.96544431

This example shows how an alternative way to describe f-projections: simply add
it to the general term and subtract it from the lower terms.

 -Br 0
 br-ecp28-mwb 3 28
f (and higher)
 1
     2    2.7207   -8.16149293    
s-f
 3
     2    5.0218   61.51372099
     2    2.5109    9.02149299
     2    2.7207    8.16149293
p-f
 3
     2    4.2814   53.87586402
     2    2.1407    4.62940227
     2    2.7207    8.16149293
d-f
 3
     2    2.8800   20.84967744
     2    1.4400    2.96544431
     2    2.7207    8.16149293

The results for the different descriptions differ in the 6th or 7th decimal
digit of the energy.

__________________________________________________________
Stefan Fau,               [email-masked]

FB Chemie der Philipps-Universitaet Marburg,
Hans-Meerwein-Str.
D-35032 Marburg

*8************
>From [email-masked] Wed Sep 11 09:13 PDT 1996

Dear Dale,

Here is what I can explain regarding the ECP's you mentioned in your 
previous e-mail.

I havent read the reference you have cited, but if you look closely
in the original paper, it will probably give you an idea if this
ECP is of the Hay-Wadt type or the Stuttgart Group's type. I would
say by looking at the ECP you are working on, is that it is a
Stuttgart Group's ECP.You might also want to take a look at the 
following reference:
	
	Bergner, A., Dolg,M., et. al., Molecular Physics, 1993, Vol
	80, No. 6, 1431-1441.

Your ECP matches the format given in the paper above.Now, having 
resolved that this ECP is probably that of Stuttgart type, we have
to enter it in a format acceptable to Gaussian94. One of the things
not mentioned in Gaussian manuals is that the Stuttgart ECP's (as
opposed to Hay-Wadt ECP's) are not easily entered into Gaussian
input files, and one needs to employ a "trick" to make it work. Here
is the trick (I will not go into the mathematics/physics of the
procedure), and it has to do with the fact that Hay-Wadt potentials
give values for (U_l - U_lmax) terms and Stuttgart ECP's give them
for U_l terms. So one needs to ADD a U_lmax term with a zero 
coefficient while entering Stuttgart ECP's into Gaussian9x.
Confused? well, read on, and hopefully this point will become clear.

Come to think of it, the ECP you have mentioned is definitely
Stuttgart type, since Dolg is from the Stuttgart group!!

I am assuming you are using the correct basis set supplied with
the ECP you are using. Such basis set should be in the reference
(hopefully!!) you are using to obtain the ECP. This basis set
will be used for describing the valence electrons (while the 
ECP takes care of the core electrons). This basis set can be
used in the input section of your Gaussian file using the "gen"
keyword. If you are unclear about this procedure, let me know..
I will hopefully include a sample G94 file to assist you, in
this mail.

Ok, so looking at the Co ECP you have supplied below: Co has
27 electrons total. I do not know how many electrons should be
in the core and how many in valence- this will be dictated by 
the basis set you are using for the valence electrons. I assume
that 17 electrons are in the core, and 10 in valence orbitals
(BUT PLEASE CHECK THIS!! I AM NOT FAMILIAR WITH TRANSITION METAL
CHEMISTRY). This is why Q=17 in the ECP you have quoted.

Q	l	k	A_kl		a_kl
17	0	1	283.960566	23.66
	0	2	47.1568459	10.61
	1	1	182.212236	25.04
	1	2	35.2333515	10.44
	2	1	-26.4753327	29.54
	2	2	-1.82578723	10.18

The above will be written in the following manner in G94 input

Co 0
Dolg 3 17
L=3 component
1
2	1.000000	0.000000  <--- This is what I meant by the trick
L=0 component
2	
2  	23.66		283.960566
2	10.61		47.1568459	
L=1 component
2
2	25.04		182.212236
2	10.44		35.2333515
L=2 component
2
2	29.54		-26.4753327
2	10.18		-1.82578723

That's it!! The above should work just fine with a compatible
basis set in G94. I do not have the basis set otherwise I would
have tested it out. Above, you see a L=3 component with a 0.00
coefficient, and that is the trick about using Stuttgart type
ECP's with Gaussian9x. The ECP you gave had a maximum L=2
component, so I added a L=3 component with a zero coefficient.
Try this out (after checking two things :(1) the core charge,
if that number should be 17 or something else, if you think it
should be different, replace 17 with the appropriate number. (2)
the correct basis set for this ECP. This basis set can be either
included in the input section of the job, or stored as a different
file to which you can refer to in your input. I will include the
following example, which is that for a bromine atom using Stuttgart
ECP's. Location of the basis set in my example is indicated by the
lines with a @ prefix. You will need to substitute the appropriate
directory names where your basis set is located.

Feel free to summarize to CCL if you feel appropriate. Let me know
if this helps, and if I can be of further assistance.

Best wishes,
Ashutosh Misra

------------------------------------------------------------------
Sample G94 input file for Br atom
------------------------------------------------------------------
%chk=br
#mp4/gen pseudo=read test

Br @ mp4/6-311g**

0 2
Br 

@/scratch2/marshap/gbs/ecp/st/br631gst.gbs
@/scratch2/marshap/gbs/ecp/st/br6311d.gbs

Br  0
Stuttgart 4 28 
L=4 component
1
2  1.000000    0.000000
L=0 component
2
2  5.0218    61.513721
2  2.5109     9.021493
L=1 component
2
2  4.2814    53.875864
2  2.1407     4.629402
L=2 component
2
2  2.8800    20.849677
2  1.4400     2.965444
L=3 component
1
2  2.7207   -8.161493

---------------------------------------------